Commits

Tuk Bredsdorff committed 4b8aeea

Frame group is created correctly (thanks thomthom and kwalkerman!).

Comments (0)

Files changed (1)

 # Loop through all edges in the current selection and
 # create struts. And add all the struts to a group.
 def create_frame edges, center, size
-	frame_group = Sketchup.active_model.active_entities.add_group
-	frame_group.name = 'Geodome frame'
+	all_struts = []
 	for edge in edges
-		puts frame_group.name
-		puts frame_group
 		strut = create_strut edge, center, size
 		# strut.name = 
-		frame_group.entities.add_group strut
+		all_struts << strut
 	end
+	frame_group = Sketchup.active_model.active_entities.add_group all_struts
+	frame_group.name = 'Geodome frame'
 end
 
 # Print all entities.